<?php
@ini_set('display_errors', true);
 ini_set(display_errors, 0);
function temizle($tr1) {
$turkce=array("ş","Ş","ı","ü","Ü","ö","Ö","ç","Ç","ş","Ş","ı","ğ","Ğ","İ","ö","Ö","Ç","ç","ü","Ü");
$duzgun=array("s","S","i","u","U","o","O","c","C","s","S","i","g","G","I","o","O","C","c","u","U");
$tr1=str_replace($turkce,$duzgun,$tr1);
$tr1 = preg_replace("@[^a-z0-9\-_şıüğçİŞĞÜÇ]+@i","-",$tr1);
return $tr1;
}
if(!empty($_GET['r']=='1')) {
$resim = "dark.png";
$resim_yaz = imagecreatefrompng("$resim");
$gri = imagecolorallocate($resim_yaz, 255,252,255);
$yatay_y="85"; $yatay_x="80"; $dikey_y="140"; $dikey_x="145";
$size = "128";	
}
if(!empty($_GET['r']=='2')) {
$resim = "light.png";
$resim_yaz = imagecreatefrompng("$resim");
$gri = imagecolorallocate($resim_yaz, 0,0,7);
$yatay_y="85"; $yatay_x="80"; $dikey_y="140"; $dikey_x="145";
$size = "128";		
}
if(!empty($_GET['r']=='3')) { 
$resim = "transparent.png";
$resim_yaz = imagecreatefrompng("$resim");
$gri = imagecolorallocate($resim_yaz, 0,0,7);
$yatay_y="15"; $yatay_x="10"; $dikey_y="165"; $dikey_x="160";
$size = "108";	
}
$font = "futurab.ttf"; // Font dosyası ve yolunu tanımlıyoruz
$golge = "true"; // Resme gölge eklemek istiyosanız "true" istemiyorsanız boş
$text = $_GET['h'];
$text = temizle($text);
$text = substr($text, 0, 1);
$text=strtoupper($text);
if(empty($text)) {
$metin = "Harf eksik!";
$size = "17"; 
$golge = "false";
}else {
$metin = "$text"; }
$varsa = $_GET['h'];
if(!empty($varsa)) {
} 
//$metin = wordwrap($metin, 2, "\n");
$c1 = mt_rand(50,200); //r(ed)
$c2 = mt_rand(50,200); //g(reen)
$c3 = mt_rand(50,200); //b(lue)
header('Content-type: image/png');

$siyah = imagecolorallocate($resim_yaz, $c1, $c2, $c3);
if ($golge == "true") {
imagettftext($resim_yaz, $size, 0, $yatay_y, $dikey_y, $gri, $font, $metin); }
imagettftext($resim_yaz, $size, 0, $yatay_x, $dikey_x, $siyah, $font, $metin);
imagepng($resim_yaz);
imagedestroy($resim_yaz);